## org.eclipse.xsd
Interface XSDParticle.DFA

All Known Implementing Classes:
  XSDParticleImpl.XSDNFA

Enclosing interface:
  XSDParticle

    public static interface XSDParticle.DFA

A deterministic finite state automaton as described for 'Unique Particle Attribution'.

Nested Class Summary
`static interface` `XSDParticle.DFA.State` A state of a deterministic finite state automaton.
`static interface` `XSDParticle.DFA.Transition` A transition of a deterministic finite state automaton.

Method Summary
`XSDParticle.DFA` `cloneDFA()` Creates a clone of the automaton.
`XSDParticle.DFA.State` `getInitialState()` Returns the initial state of this automaton.
`java.util.List<XSDParticle.DFA.State>` `getStates()` Returns the list of states in this automaton.
`boolean` `isApproximate()` Returns whether this DFA is an approximation of the content model.

Method Detail

### isApproximate

    boolean isApproximate()

  Returns whether this DFA is an approximation of the content model. A large maxOccurs may be treated as unbounded and a large all model group may be treated as a repeating choice.

  Returns:
    `true` if this DFA is an approximation of the content model.

### getStates

    java.util.List<XSDParticle.DFA.State> getStates()

  Returns the list of states in this automaton.

  Returns:
    the list of states in this automaton.

### getInitialState

    XSDParticle.DFA.State getInitialState()

  Returns the initial state of this automaton.

  Returns:
    the initial states in this automaton.

### cloneDFA

    XSDParticle.DFA cloneDFA()

  Creates a clone of the automaton.

  Returns:
    a clone of the automaton.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.